package com.zg.project.Inventory.Visualization.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zg.framework.aspectj.lang.annotation.Excel;
import com.zg.framework.web.domain.BaseEntity;

/**
 * 计划履约对象 pln
 * 
 * @author zg
 * @date 2025-05-09
 */
public class Pln extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 工厂代码 */
    @Excel(name = "工厂代码")
    private String gcdm;

    /** 工厂描述 */
    @Excel(name = "工厂描述")
    private String gcms;

    /** 招标批次 */
    @Excel(name = "招标批次")
    private String zbpc;

    /** 招标批次名称 */
    @Excel(name = "招标批次名称")
    private String zbpcmc;

    /** 生效日期 */
    @Excel(name = "生效日期")
    private String sxrq;

    /** 签订日期 */
    @Excel(name = "签订日期")
    private String qdrq;

    /** 合同编号（电子商务） */
    @Excel(name = "合同编号", readConverterExp = "电=子商务")
    private String htbh;

    /** 供应计划编号 */
    @Excel(name = "供应计划编号")
    private String gyjhbh;

    /** 工程编号（项目定义号） */
    @Excel(name = "工程编号", readConverterExp = "项=目定义号")
    private String gcbh;

    /** 工程名称（项目描述） */
    @Excel(name = "工程名称", readConverterExp = "项=目描述")
    private String xmms;

    /** 供应商编码 */
    @Excel(name = "供应商编码")
    private String gysbm;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String gysmc;

    /** 采购订单号 */
    @Excel(name = "采购订单号")
    private String cgddh;

    /** 采购订单行项目号 */
    @Excel(name = "采购订单行项目号")
    private String hxmh;

    /** 合同交货期 */
    @Excel(name = "合同交货期")
    private String htjhq;

    /** 确定交货期 */
    @Excel(name = "确定交货期")
    private String qdjhq;

    /** 实际交货期 */
    @Excel(name = "实际交货期")
    private String sjjhq;

    /** 物料号 */
    @Excel(name = "物料号")
    private String wlh;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String wlms;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String jldw;

    /** 合同数量 */
    @Excel(name = "合同数量")
    private String htsl;

    /** 计划交货数量 */
    @Excel(name = "计划交货数量")
    private String jhjhsl;

    /** 计划交货批次 */
    @Excel(name = "计划交货批次")
    private String jhjhpc;

    /** 计划交货金额（含税） */
    @Excel(name = "计划交货金额", readConverterExp = "含=税")
    private String jhjhje;

    /** 实际交货数量 */
    @Excel(name = "实际交货数量")
    private String sjjhsl;

    /** 供应计划状态 */
    @Excel(name = "供应计划状态")
    private String gyjhzt;

    /** 采购凭证类型 */
    @Excel(name = "采购凭证类型")
    private String cgpzlx;

    /** 采购申请计划交货日期 */
    @Excel(name = "采购申请计划交货日期")
    private String jhjhrq;

    /** 交货地点 */
    @Excel(name = "交货地点")
    private String jhdd;

    /** 交货联系人 */
    @Excel(name = "交货联系人")
    private String jhlxr;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String lxfs;

    /** 传ECP标识 */
    @Excel(name = "传ECP标识")
    private String ecp;

    /** 项目单位 */
    @Excel(name = "项目单位")
    private String xmdw;

    /** 用于订单排序，数字越大，排序越靠前 */
    @Excel(name = "用于订单排序，数字越大，排序越靠前")
    private Long odr;

    /** 采购订单行号 */
    @Excel(name = "采购订单行号")
    private String rcde;

    /** 采购凭证 */
    @Excel(name = "采购凭证")
    private String cgpz;

    /** 已入库-初始值 */
    @Excel(name = "已入库-初始值")
    private Long yrk;

    /** 已出库-初始值 */
    @Excel(name = "已出库-初始值")
    private Long yck;

    /** 状态；0正常；1关闭提醒 */
    @Excel(name = "状态；0正常；1关闭提醒")
    private Long ste;

    /** 施工队 */
    @Excel(name = "施工队")
    private String tem;

    /** 导入时间 */
    @Excel(name = "导入时间")
    private String intme;

    /** 最后一次更新时间 */
    @Excel(name = "最后一次更新时间")
    private String updtme;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long rAmt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long cAmt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String crtim;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setGcdm(String gcdm) 
    {
        this.gcdm = gcdm;
    }

    public String getGcdm() 
    {
        return gcdm;
    }

    public void setGcms(String gcms) 
    {
        this.gcms = gcms;
    }

    public String getGcms() 
    {
        return gcms;
    }

    public void setZbpc(String zbpc) 
    {
        this.zbpc = zbpc;
    }

    public String getZbpc() 
    {
        return zbpc;
    }

    public void setZbpcmc(String zbpcmc) 
    {
        this.zbpcmc = zbpcmc;
    }

    public String getZbpcmc() 
    {
        return zbpcmc;
    }

    public void setSxrq(String sxrq) 
    {
        this.sxrq = sxrq;
    }

    public String getSxrq() 
    {
        return sxrq;
    }

    public void setQdrq(String qdrq) 
    {
        this.qdrq = qdrq;
    }

    public String getQdrq() 
    {
        return qdrq;
    }

    public void setHtbh(String htbh) 
    {
        this.htbh = htbh;
    }

    public String getHtbh() 
    {
        return htbh;
    }

    public void setGyjhbh(String gyjhbh) 
    {
        this.gyjhbh = gyjhbh;
    }

    public String getGyjhbh() 
    {
        return gyjhbh;
    }

    public void setGcbh(String gcbh) 
    {
        this.gcbh = gcbh;
    }

    public String getGcbh() 
    {
        return gcbh;
    }

    public void setXmms(String xmms) 
    {
        this.xmms = xmms;
    }

    public String getXmms() 
    {
        return xmms;
    }

    public void setGysbm(String gysbm) 
    {
        this.gysbm = gysbm;
    }

    public String getGysbm() 
    {
        return gysbm;
    }

    public void setGysmc(String gysmc) 
    {
        this.gysmc = gysmc;
    }

    public String getGysmc() 
    {
        return gysmc;
    }

    public void setCgddh(String cgddh) 
    {
        this.cgddh = cgddh;
    }

    public String getCgddh() 
    {
        return cgddh;
    }

    public void setHxmh(String hxmh) 
    {
        this.hxmh = hxmh;
    }

    public String getHxmh() 
    {
        return hxmh;
    }

    public void setHtjhq(String htjhq) 
    {
        this.htjhq = htjhq;
    }

    public String getHtjhq() 
    {
        return htjhq;
    }

    public void setQdjhq(String qdjhq) 
    {
        this.qdjhq = qdjhq;
    }

    public String getQdjhq() 
    {
        return qdjhq;
    }

    public void setSjjhq(String sjjhq) 
    {
        this.sjjhq = sjjhq;
    }

    public String getSjjhq() 
    {
        return sjjhq;
    }

    public void setWlh(String wlh) 
    {
        this.wlh = wlh;
    }

    public String getWlh() 
    {
        return wlh;
    }

    public void setWlms(String wlms) 
    {
        this.wlms = wlms;
    }

    public String getWlms() 
    {
        return wlms;
    }

    public void setJldw(String jldw) 
    {
        this.jldw = jldw;
    }

    public String getJldw() 
    {
        return jldw;
    }

    public void setHtsl(String htsl) 
    {
        this.htsl = htsl;
    }

    public String getHtsl() 
    {
        return htsl;
    }

    public void setJhjhsl(String jhjhsl) 
    {
        this.jhjhsl = jhjhsl;
    }

    public String getJhjhsl() 
    {
        return jhjhsl;
    }

    public void setJhjhpc(String jhjhpc) 
    {
        this.jhjhpc = jhjhpc;
    }

    public String getJhjhpc() 
    {
        return jhjhpc;
    }

    public void setJhjhje(String jhjhje) 
    {
        this.jhjhje = jhjhje;
    }

    public String getJhjhje() 
    {
        return jhjhje;
    }

    public void setSjjhsl(String sjjhsl) 
    {
        this.sjjhsl = sjjhsl;
    }

    public String getSjjhsl() 
    {
        return sjjhsl;
    }

    public void setGyjhzt(String gyjhzt) 
    {
        this.gyjhzt = gyjhzt;
    }

    public String getGyjhzt() 
    {
        return gyjhzt;
    }

    public void setCgpzlx(String cgpzlx) 
    {
        this.cgpzlx = cgpzlx;
    }

    public String getCgpzlx() 
    {
        return cgpzlx;
    }

    public void setJhjhrq(String jhjhrq) 
    {
        this.jhjhrq = jhjhrq;
    }

    public String getJhjhrq() 
    {
        return jhjhrq;
    }

    public void setJhdd(String jhdd) 
    {
        this.jhdd = jhdd;
    }

    public String getJhdd() 
    {
        return jhdd;
    }

    public void setJhlxr(String jhlxr) 
    {
        this.jhlxr = jhlxr;
    }

    public String getJhlxr() 
    {
        return jhlxr;
    }

    public void setLxfs(String lxfs) 
    {
        this.lxfs = lxfs;
    }

    public String getLxfs() 
    {
        return lxfs;
    }

    public void setEcp(String ecp) 
    {
        this.ecp = ecp;
    }

    public String getEcp() 
    {
        return ecp;
    }

    public void setXmdw(String xmdw) 
    {
        this.xmdw = xmdw;
    }

    public String getXmdw() 
    {
        return xmdw;
    }

    public void setOdr(Long odr) 
    {
        this.odr = odr;
    }

    public Long getOdr() 
    {
        return odr;
    }

    public void setRcde(String rcde) 
    {
        this.rcde = rcde;
    }

    public String getRcde() 
    {
        return rcde;
    }

    public void setCgpz(String cgpz) 
    {
        this.cgpz = cgpz;
    }

    public String getCgpz() 
    {
        return cgpz;
    }

    public void setYrk(Long yrk) 
    {
        this.yrk = yrk;
    }

    public Long getYrk() 
    {
        return yrk;
    }

    public void setYck(Long yck) 
    {
        this.yck = yck;
    }

    public Long getYck() 
    {
        return yck;
    }

    public void setSte(Long ste) 
    {
        this.ste = ste;
    }

    public Long getSte() 
    {
        return ste;
    }

    public void setTem(String tem) 
    {
        this.tem = tem;
    }

    public String getTem() 
    {
        return tem;
    }

    public void setIntme(String intme) 
    {
        this.intme = intme;
    }

    public String getIntme() 
    {
        return intme;
    }

    public void setUpdtme(String updtme) 
    {
        this.updtme = updtme;
    }

    public String getUpdtme() 
    {
        return updtme;
    }

    public void setrAmt(Long rAmt) 
    {
        this.rAmt = rAmt;
    }

    public Long getrAmt() 
    {
        return rAmt;
    }

    public void setcAmt(Long cAmt) 
    {
        this.cAmt = cAmt;
    }

    public Long getcAmt() 
    {
        return cAmt;
    }

    public void setCrtim(String crtim) 
    {
        this.crtim = crtim;
    }

    public String getCrtim() 
    {
        return crtim;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("gcdm", getGcdm())
            .append("gcms", getGcms())
            .append("zbpc", getZbpc())
            .append("zbpcmc", getZbpcmc())
            .append("sxrq", getSxrq())
            .append("qdrq", getQdrq())
            .append("htbh", getHtbh())
            .append("gyjhbh", getGyjhbh())
            .append("gcbh", getGcbh())
            .append("xmms", getXmms())
            .append("gysbm", getGysbm())
            .append("gysmc", getGysmc())
            .append("cgddh", getCgddh())
            .append("hxmh", getHxmh())
            .append("htjhq", getHtjhq())
            .append("qdjhq", getQdjhq())
            .append("sjjhq", getSjjhq())
            .append("wlh", getWlh())
            .append("wlms", getWlms())
            .append("jldw", getJldw())
            .append("htsl", getHtsl())
            .append("jhjhsl", getJhjhsl())
            .append("jhjhpc", getJhjhpc())
            .append("jhjhje", getJhjhje())
            .append("sjjhsl", getSjjhsl())
            .append("gyjhzt", getGyjhzt())
            .append("cgpzlx", getCgpzlx())
            .append("jhjhrq", getJhjhrq())
            .append("jhdd", getJhdd())
            .append("jhlxr", getJhlxr())
            .append("lxfs", getLxfs())
            .append("ecp", getEcp())
            .append("xmdw", getXmdw())
            .append("odr", getOdr())
            .append("rcde", getRcde())
            .append("cgpz", getCgpz())
            .append("yrk", getYrk())
            .append("yck", getYck())
            .append("ste", getSte())
            .append("tem", getTem())
            .append("intme", getIntme())
            .append("updtme", getUpdtme())
            .append("rAmt", getrAmt())
            .append("cAmt", getcAmt())
            .append("crtim", getCrtim())
            .toString();
    }
}
